import request from '@/utils/request'

// 查询服务器管理列表
export function listServerInfo(query) {
  return request({
    url: '/cert/serverInfo/list',
    method: 'get',
    params: query
  })
}

// 查询服务器管理详细
export function getServerInfo(id) {
  return request({
    url: '/cert/serverInfo/' + id,
    method: 'get'
  })
}

// 新增服务器管理
export function addServerInfo(data) {
  return request({
    url: '/cert/serverInfo',
    method: 'post',
    data: data
  })
}

// 修改服务器管理
export function updateServerInfo(data) {
  return request({
    url: '/cert/serverInfo',
    method: 'put',
    data: data
  })
}

// 删除服务器管理
export function delServerInfo(id) {
  return request({
    url: '/cert/serverInfo/' + id,
    method: 'delete'
  })
}

//刷新服务器缓存
export function refreshServerInfo(id) {
  return request({
    url: '/cert/serverInfo/refresh/',
    method: 'get'
  })
}